/* You can add global styles to this file, and also import other style files */

@import "~bulma/sass/utilities/initial-variables.sass";
@import "~bulma/sass/utilities/functions.sass";
@import "./variables";
@import "./helper";
@import "./form";
@import "~@angular/cdk/overlay-prebuilt.css";
@import "./mat-theme.scss";
// @import '~@angular/material/prebuilt-themes/indigo-pink.css';
@import '~sweetalert2/dist/sweetalert2.min.css';


$primary: #c6313a;

html {
  background-color: #f8f8f8;
}

a {
  color: $primary-color;
  &:hover {
    color: $red-darker;
    text-decoration: underline;
  }
}
.body {
  width: 100vw;
  height: 100vh;
  overflow: auto;
}
.cdk-overlay-container {
  background-color: rgba(0, 0, 0, 0.8);
}

br {
  margin-bottom: 10px;
}

@import "~bulma/bulma.sass";

.is-fullwidth {
  width: 100%;
}

html::-webkit-scrollbar {
  display: none;
}

a {
  color: $primary;
}

.is-hover:hover {
  cursor: pointer;
}

.textarea,
.input {
  box-shadow: none;
}

input.middle:focus {
  outline-width: 0;
}

input:focus,
select:focus,
textarea:focus,
button:focus {
  outline: none;
}

*:focus {
  outline: none;
}

.select select:focus,
.textarea:focus,
.input:focus,
.select select.is-focused,
.is-focused.textarea,
.is-focused.input,
.select select:active,
.textarea:active,
.input:active,
.select select.is-active,
.is-active.textarea,
.is-active.input {
  outline: none;
  border-color: #dbdbdb;
  box-shadow: none;
}

.no-border-right {
  border-right: none;
}
.no-border-left {
  border-left: none;
}

.flex-1 {
  flex: 1;
}

.button:focus,
.button.is-focused {
  outline: none;
  border-color: #dbdbdb;
  box-shadow: none;
}
.button:active,
.button.is-active {
  outline: none;
  border-color: #dbdbdb;
  box-shadow: none;
}

.button:focus:not(:active),
.button.is-focused:not(:active) {
  box-shadow: none;
}

.button:hover,
.button.is-hovered {
  border-color: #dbdbdb;
}

.flex-row {
  display: flex;
  flex-direction: row;
}

.flex-col {
  display: flex;
  flex-direction: column;
}

.align-center {
  align-items: center;
}

.justify-center {
  justify-content: center;
}

.justify-end {
  justify-content: flex-end;
}

.justify-between {
  justify-content: space-between;
}

.star-rating > div > span::before {
  display: none;
}

.star-rating > div {
  margin-top: 3px;
}

.star-rating > div > .star {
  background: #f2f2f2;
  height: 18px;
  width: 18px;
  border-radius: 50%;
}

.star-rating > div > .star.on {
  background: #000;
  height: 18px;
  width: 18px;
  border-radius: 50%;
}

.flex-column {
  display: flex;
  flex-direction: column;
}

.radio-columns > .field {
  margin-bottom: 10px;
}

@import "~bulma-extensions/dist/css/bulma-extensions.min.css";

.is-checkradio[type="radio"]:checked + label::before,
.is-checkradio[type="radio"]:checked + label:before,
.is-checkradio[type="checkbox"]:checked + label::before,
.is-checkradio[type="checkbox"]:checked + label:before {
  outline: none;
}

.endorse-button {
  margin-right: 20px;
}

.has-text-underline {
  text-decoration: underline;
}

.optional-text {
  font-size: 11px;
  color: rgba(0, 0, 0, 0.5);
}

.control.short-input {
  width: 50%;
}

@media (max-width: 768px) {
  .control.short-input {
    width: 100%;
  }

  #edit-profile-column {
    padding: 0px 10%;
  }
}

.has-text-center {
  text-align: center;
}

.auth-card {
  padding: 1em 1em;
  border-radius: 8px;
  background-color: white;
}
